## org.apache.maven.shared.io.logging
Interface MessageSink

All Known Implementing Classes:
  MojoLogSink, PlexusLoggerSink

    public interface MessageSink

Method Summary
`void` `debug(java.lang.String message)`
`void` `error(java.lang.String message)`
`void` `info(java.lang.String message)`
`void` `severe(java.lang.String message)`
`void` `warning(java.lang.String message)`

Method Detail

### debug

    void debug(java.lang.String message)

### info

    void info(java.lang.String message)

### warning

    void warning(java.lang.String message)

### error

    void error(java.lang.String message)

### severe

    void severe(java.lang.String message)

Copyright © 2011. All Rights Reserved.